<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

SchedulerResponse schedulerResponse = (SchedulerResponse)row.getObject();
%>

<portlet:actionURL name="/dispatch/edit_scheduler_response" var="editSchedulerResponseURL">
	<portlet:param name="<%= Constants.CMD %>" value="runScheduledJob" />
	<portlet:param name="redirect" value="<%= currentURL %>" />
	<portlet:param name="jobName" value="<%= schedulerResponse.getJobName() %>" />
	<portlet:param name="groupName" value="<%= schedulerResponse.getGroupName() %>" />
	<portlet:param name="storageType" value="<%= schedulerResponse.getStorageType().toString() %>" />
</portlet:actionURL>

<aui:button href="<%= editSchedulerResponseURL %>" name='<%= "runNowButton" + row.getRowId() %>' value="run-now" />