<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/entries/init.jsp" %>

<%
CollectionItemsDetailDisplayContext collectionItemsDetailDisplayContext = (CollectionItemsDetailDisplayContext)request.getAttribute(CollectionPageLayoutTypeControllerWebKeys.COLLECTION_ITEMS_DETAIL_DISPLAY_CONTEXT);
%>

<li class="control-menu-nav-item">
	<button class="btn btn-unstyled text-muted" id="<%= collectionItemsDetailDisplayContext.getNamespace() %>viewCollectionItems" />
		(<%= LanguageUtil.format(resourceBundle, "x-items", collectionItemsDetailDisplayContext.getCollectionItemsCount(), false) %>)
	</button>
</li>

<aui:script>
	var viewCollectionItems = document.getElementById(
		'<%= collectionItemsDetailDisplayContext.getNamespace() %>viewCollectionItems'
	);

	viewCollectionItems.addEventListener('click', (event) => {
		Liferay.Util.openModal({
			id:
				'<%= collectionItemsDetailDisplayContext.getNamespace() %>viewCollectionItemsDialog',
			title: '<liferay-ui:message key="collection-items" />',
			url:
				'<%= collectionItemsDetailDisplayContext.getViewCollectionItemsURL() %>',
		});
	});

	var onDestroyPortlet = function () {
		document.removeEventListener('click', viewCollectionItems);
	};

	Liferay.on('destroyPortlet', onDestroyPortlet);
</aui:script>