<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/layout/edit_layout/init.jsp" %>

<liferay-ui:success key="layoutAdded" message="the-page-was-created-successfully" />

<liferay-ui:success key="layoutPageTemplateAdded" message="the-page-template-was-created-successfully" />

<liferay-ui:success key="layoutPublished" message="the-page-was-published-successfully" />

<liferay-ui:success key="layoutUtilityPageEntryAdded" message="the-utility-page-was-created-successfully" />

<%
String portletResource = ParamUtil.getString(request, "portletResource");
%>

<c:if test="<%= Validator.isNotNull(portletResource) %>">
	<liferay-ui:success key='<%= portletResource + "requestProcessed" %>' message="your-request-completed-successfully" />
</c:if>

<div class="layout-content portlet-layout" id="main-content" role="main">
	<liferay-portlet:runtime
		portletName="<%= ContentPageEditorPortletKeys.CONTENT_PAGE_EDITOR_PORTLET %>"
	/>
</div>

<liferay-layout:layout-common />